# Created by pyp2rpm-3.3.2
%global pypi_name twine
%global srcname twine
%bcond_without tests
%bcond_with internet

Name:           python-%{srcname}
Version:        4.0.1
Release:        %mkrel 2
Summary:        Collection of utilities for publishing packages on PyPI
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/twine/
Source0:        %{pypi_source}
# requests-toolbelt >= 0.8.0, != 0.9.0 is badly interpreted in < 0.9.0
Patch0:         twine-4.0.1-relax-requirement-requests-toolbelt.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pretend)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# tests
BuildRequires:  python3dist(requests-toolbelt)
BuildRequires:  python3dist(readme-renderer)
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(tox)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(colorama) >= 0.4.3
BuildRequires:  python3dist(importlib-metadata) >= 3.6
BuildRequires:  python3dist(keyring) >= 15.1
BuildRequires:  python3dist(rfc3986) >= 1.4
BuildRequires:  python3dist(setuptools-scm[toml]) >= 6
#BuildRequires:  python3dist(tqdm) >= 4.14

%description
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution artifacts for
both new and existing projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution artifacts for
both new and existing projects.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%if %{without internet}
sed -i '/--disable-socket/d' pytest.ini	
%endif

%install
%pyproject_install
%pyproject_save_files twine

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS
%{_bindir}/twine


%changelog
* Wed Aug 24 2022 papoteur <papoteur> 4.0.1-2.mga9
+ Revision: 1880013
- Fix requirements on requests-toolbelt

* Sat Aug 20 2022 papoteur <papoteur> 4.0.1-1.mga9
+ Revision: 1878910
- new 4.0.1

* Wed Mar 30 2022 umeabot <umeabot> 3.8.0-2.mga9
+ Revision: 1833840
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 3.8.0-1.mga9
+ Revision: 1781389
- update to python 3.10
- update
- update to 3.8.0 / python 3.10

* Sun Mar 21 2021 joequant <joequant> 3.4.1-2.mga9
+ Revision: 1707081
- add patch
- update requirements

* Sun Mar 21 2021 joequant <joequant> 3.4.1-1.mga9
+ Revision: 1706777
- update to 3.4.1 / python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 3.3.0-2.mga9
+ Revision: 1698152
- fix automatic dependencies

* Mon Mar 01 2021 guillomovitch <guillomovitch> 3.3.0-1.mga9
+ Revision: 1695250
- new version 3.3.0

* Mon Nov 02 2020 akien <akien> 3.2.0-2.mga8
+ Revision: 1641832
- Remove doc package, so we can drop python-releases

* Fri Jul 03 2020 shlomif <shlomif> 3.2.0-1.mga8
+ Revision: 1601708
- New version 3.2.0

* Sun Mar 29 2020 wally <wally> 3.1.1-1.mga8
+ Revision: 1562160
- new version 3.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.13.0-3.mga8
+ Revision: 1534004
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.13.0-2.mga8
+ Revision: 1446546
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.13.0-1.mga8
+ Revision: 1422947
- add BRs
- pyp2rpm

